Vine Linux 2.6r4には元からGDがインストールされているのですが、updir(http://updir.net/index.html)というもので使えるかどうか調べたところ、インストールされていないと表示されました。

その後、最新バージョンのGDをいれてもう一度試してみたのですが、やはりインストールされていないと出ます。
VineLinux上ではインストールされていると出るのですが・・・・。
改善する方法、もしくは載っているページがありましたら教えてください。
使用用途はサムネイルの自動作成です。

回答の条件
  • URL必須
  • 1人2回まで
  • 登録:2004/06/02 09:58:57
  • 終了:--

回答(2件)

id:JULY No.1

JULY回答回数966ベストアンサー獲得回数2472004/06/02 12:20:18

ポイント50pt

updir に必要なのは GD にライブラリが使える php で、Vine Linux には php が入っていない、

という状況じゃないでしょうか?

Vine 用の php は、上記サイトにあるように VinePlus という方で提供されています。

インストール方法などはこちらを参照ください。

# ただ、ちょっと古いバージョンなので、個人的には、php をソースからビルドしてます(^^;

id:nyankochan

PHPはインストールされてます。

でないとupdirでGDを確認する画面すら表示されないかと。

もしくは、GD専用PHPというのが存在するのでしょうか?

現在入ってるPHPは、CGI PGAQL MYSQL等に対応してますが。

2004/06/02 12:45:50
id:JULY No.2

JULY回答回数966ベストアンサー獲得回数2472004/06/02 13:00:21

php は入ってたんですね(^^;。失礼しました。

まず、phpinfo を呼び出すだけのページを用意します。中身は、

<? phpinfo() ?>

だけです。これで、php の設定状況、どの機能が使えて、オプションはどうなっているのか、

事細かく表示されます。この中に gd に関する情報が無ければ、その php は gd が使えない

ことになります。

http://php.s3.to/man/ref.image.html

イメージ関数(image)

ちなみに、php の 4.3 以降は、オリジナルの GD が無くても、php 自体にバンドルされる

ようになっています。

id:nyankochan

configでgdを使うコンマンドを入れ忘れてました。

JULYさん、ありがとうございました。

2004/06/04 14:22:46

コメントはまだありません

この質問への反応(ブックマークコメント)

「あの人に答えてほしい」「この質問はあの人が答えられそう」というときに、回答リクエストを送ってみてましょう。

これ以上回答リクエストを送信することはできません。制限について

絞り込み :
はてなココの「ともだち」を表示します。
回答リクエストを送信したユーザーはいません